<template>
  <div id="breadcrumb" class="section">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <ul class="breadcrumb-tree">
            <li><a href="#">Home</a></li>
            <li><a href="#">All Categories</a></li>
            <li class="active">Smartphones</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <div class="section">
    <div class="container">
      <div class="row">
        <div id="aside" class="col-md-3">
          <div class="aside">
            <h3 class="aside-title">Categories</h3>
            <div class="checkbox-filter">

              <div class="input-checkbox">
                <input disabled type="checkbox" id="category-1">
                <label for="category-1">
                  <span></span>
                  Laptops
                  <small>(4)</small>
                </label>
              </div>

              <div class="input-checkbox">
                <input checked type="checkbox" id="category-2">
                <label for="category-2">
                  <span></span>
                  Smartphones
                  <small>(4)</small>
                </label>
              </div>

              <div class="input-checkbox">
                <input disabled type="checkbox" id="category-3">
                <label for="category-3">
                  <span></span>
                  Cameras
                  <small>(4)</small>
                </label>
              </div>

              <div class="input-checkbox">
                <input disabled type="checkbox" id="category-4">
                <label for="category-4">
                  <span></span>
                  Accessories
                  <small>(5)</small>
                </label>
              </div>
            </div>
          </div>
          <div class="aside">
            <h3 class="aside-title">Price</h3>
            <div class="price-filter">
              <div id="price-slider"></div>
              <div style="color: #1E1F29" class="input-number price-min">
                <input id="price-min" value="0" type="number">
                <span  class="qty-up">+</span>
                <span class="qty-down">-</span>
              </div>
              <span>-</span>
              <div style="color: #1E1F29" class="input-number price-max">
                <input id="price-max" value="2000" type="number">
                <span class="qty-up">+</span>
                <span class="qty-down">-</span>
              </div>
            </div>
          </div>
          <div class="aside">
            <h3 class="aside-title">Top selling</h3>

            <div v-for="tp in topSellingProducts" :key="tp.id" class="product-widget">
              <div class="product-img">
                <img :src="tp.img" alt="">
              </div>
              <div class="product-body">
                <p class="product-category">Category</p>
                <h3 class="product-name"><a href="#">{{tp.title}}</a></h3>
                <h4 class="product-price">${{ tp.price }} <del v-if="tp.sale" class="product-old-price">${{tp.price + 80}}</del></h4>
              </div>
            </div>
          </div>
        </div>
        <div id="store" class="col-md-9">

          <div class="row" >
            <div style="display:flex;">
              <div  v-for="prod in smartphones" :key="prod.id">
                <Product :product="prod" />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="newsletter" class="section">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <div class="newsletter">
              <p>Sign Up for the <strong>NEWSLETTER</strong></p>
              <form>
                <input class="input" type="email" placeholder="Enter Your Email">
                <button class="newsletter-btn"><i class="fa fa-envelope"></i> Subscribe</button>
              </form>
              <ul class="newsletter-follow">
                <li>
                  <a href="#"><i class="fa fa-facebook"></i></a>
                </li>
                <li>
                  <a href="#"><i class="fa fa-twitter"></i></a>
                </li>
                <li>
                  <a href="#"><i class="fa fa-instagram"></i></a>
                </li>
                <li>
                  <a href="#"><i class="fa fa-pinterest"></i></a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</template>

<script>
import Product from "./Product";
export default {
  name: "Smartphones",
  components: {Product},
  data() {
    return {
      smartphones: [
        {
          id: 0,
          title: "Samsung 10",
          price: 1200,
          img: require("../assets/images/product07.png"),
          sale: true,
        },
        {
          id: 1,
          title: "Sony Pad 3",
          price: 990,
          img: require("../assets/images/product04.png"),
          sale: true,
        },
        {
          id: 2,
          title: "Sony G10",
          price: 1100,
          img: require("../assets/images/sony.png"),
          sale: true,
        },
        {
          id: 3,
          title: "Vivo Y-47s",
          price: 1500,
          img: require("../assets/images/Vivo.png"),
          sale: true,
        },
      ],
      topSellingProducts: [
        {
          id: 0,
          title: "Asus TUF GAMING",
          price: 1200,
          img: require("../assets/images/product06.png"),
          sale: false,
        },
        {
          id: 1,
          title: "EarPods 10th generation",
          price: 990,
          img: require("../assets/images/product05.png"),
          sale: false,
        },
        {
          id: 2,
          title: "Samsung Galaxy 10",
          price: 1100,
          img: require("../assets/images/product07.png"),
          sale: false,
        },
        {
          id: 3,
          title: "Asus Aspire ",
          price: 1500,
          img: require("../assets/images/product08.png"),
          sale: false,
        },
      ],
    }
  }
}
</script>

<style scoped>
.product {
  width: 250px;
}
label {
  color: #1E1F29 !important;
}
.store-filter {
  margin-bottom: 15px;
  margin-top: 15px;
}

.store-sort {
  display: inline-block;
}

.store-sort label {
  font-weight: 500;
  font-size: 12px;
  text-transform: uppercase;
  margin-right: 15px;
}


.store-grid {
  float: right;
}

.store-grid li {
  display: inline-block;
  width: 40px;
  height: 40px;
  line-height: 40px;
  background-color: #FFF;
  border: 1px solid #E4E7ED;
  text-align: center;
  -webkit-transition: 0.2s all;
  transition: 0.2s all;
}

.store-grid li+li {
  margin-left: 5px;
}

.store-grid li:hover {
  background-color: #E4E7ED;
  color: #D10024;
}

.store-grid li.active {
  background-color: #D10024;
  border-color: #D10024;
  color: #FFF;
  cursor: default;
}

.store-grid li a {
  display: block;
}


.store-pagination {
  float: right;
}

.store-pagination li {
  display: inline-block;
  width: 40px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  background-color: #FFF;
  border: 1px solid #E4E7ED;
  -webkit-transition: 0.2s all;
  transition: 0.2s all;
}

.store-pagination li+li {
  margin-left: 5px;
}

.store-pagination li:hover {
  background-color: #E4E7ED;
  color: #D10024;
}

.store-pagination li.active {
  background-color: #D10024;
  border-color: #D10024;
  color: #FFF;
  font-weight: 500;
  cursor: default;
}

.store-pagination li a {
  display: block;
}

.store-qty {
  margin-right: 30px;
  font-weight: 500;
  text-transform: uppercase;
  font-size: 12px;
}
</style>